Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Aug 2022 15:10:25 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 15 Aug 2022 13:53:23 +0200
> 
> I don't have anything substantive here, but I've also seen some oddities
> that may be related to something in this area, but I have no case for
> reproduction.
> 
> 1) In an HTML buffer with huge <img src="base64:data...."> JPEGs hidden
> under display properties (we're talking multi-megabyte lines -- but
> hidden), I've seen some odd point movements around these images -- like
> the cursor gets stuck at the edges of that line.  But only sometimes.

Can you show an example of such a file, or tell where can one download
it?

> 2) My *Messages* buffer frequently ends up being narrowed, and that
> didn't happen before.  Is that something that can happen somehow?

If it does, it could be that we don't undo the narrowing in some
situations?